Summary:	help2man - automatic manual page generation
Summary(pl.UTF-8):	help2man - automatyczne generowanie stron manuala
Name:		help2man
Version:	1.49.3
Release:	1%{?tld}
License:	GPL v3+
Group:		Applications/Text
Source0:	http://ftp.debian.org/debian/pool/main/h/help2man/%{name}_%{version}.tar.xz
# Source0-md5:	2a0ffaa1822df5b6971f486a4fe1a4d1
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/help2man/
BuildRequires:	gettext-tools
BuildRequires:	perl-base >= 1:5.8
BuildRequires:	perl-Locale-gettext
BuildRequires:	po4a
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRequires:	xz
Requires:	perl-base >= 1:5.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
help2man is a tool for automatically generating simple manual pages
from program output. This program is intended to provide an easy way
for software authors to include a manual page in their distribution
without having to maintain that document. Given a program which
produces reasonably standard `--help' and `--version' outputs,
help2man can re-arrange that output into something which resembles a
manual page.

%description -l pl.UTF-8
help2man to narzędzie do automatycznego generowania prostych stron
manuala na podstawie wyjścia z programu. Ten program ma za zadanie dać
autorom oprogramowania łatwy sposób na dołączanie stron manuala bez
opiekowania się nimi. Po wskazaniu programu, który daje w miarę
standardowe wyjście dla opcji --help i --version, help2man potrafi
przekształcić to wyjście na coś przypominającego stronę manuala.

%prep
%setup -q
%patch0 -p1

# completeness percentage is too low (as of 1.49.3)
%{__rm} po-texi/zh_CN.po

%build
%configure \
	--enable-nls

%{__make} \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README THANKS debian/changelog
%attr(755,root,root) %{_bindir}/help2man
%dir %{_libdir}/help2man
%attr(755,root,root) %{_libdir}/help2man/bindtextdomain.so
%{_infodir}/help2man.info*
%lang(de) %{_infodir}/help2man-de.info*
%lang(es) %{_infodir}/help2man-es.info*
%lang(fr) %{_infodir}/help2man-fr.info*
%lang(pl) %{_infodir}/help2man-pl.info*
%lang(pt_BR) %{_infodir}/help2man-pt_BR.info*
%lang(ro) %{_infodir}/help2man-ro.info*
%lang(sr) %{_infodir}/help2man-sr.info*
%lang(sv) %{_infodir}/help2man-sv.info*
%lang(uk) %{_infodir}/help2man-uk.info*
#%lang(zh_CN) %{_infodir}/help2man-zh_CN.info*
%{_mandir}/man1/help2man.1*
%lang(da) %{_mandir}/da/man1/help2man.1*
%lang(de) %{_mandir}/de/man1/help2man.1*
%lang(el) %{_mandir}/el/man1/help2man.1*
%lang(eo) %{_mandir}/eo/man1/help2man.1*
%lang(es) %{_mandir}/es/man1/help2man.1*
%lang(fi) %{_mandir}/fi/man1/help2man.1*
%lang(fr) %{_mandir}/fr/man1/help2man.1*
%lang(hr) %{_mandir}/hr/man1/help2man.1*
%lang(hu) %{_mandir}/hu/man1/help2man.1*
%lang(it) %{_mandir}/it/man1/help2man.1*
%lang(ja) %{_mandir}/ja/man1/help2man.1*
%lang(ko) %{_mandir}/ko/man1/help2man.1*
%lang(nb) %{_mandir}/nb/man1/help2man.1*
%lang(pl) %{_mandir}/pl/man1/help2man.1*
%lang(pt_BR) %{_mandir}/pt_BR/man1/help2man.1*
%lang(ro) %{_mandir}/ro/man1/help2man.1*
%lang(ru) %{_mandir}/ru/man1/help2man.1*
%lang(sr) %{_mandir}/sr/man1/help2man.1*
%lang(sv) %{_mandir}/sv/man1/help2man.1*
%lang(ta) %{_mandir}/ta/man1/help2man.1*
%lang(uk) %{_mandir}/uk/man1/help2man.1*
%lang(vi) %{_mandir}/vi/man1/help2man.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/help2man.1*
%changelog
* Mon Jan 08 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/help2man.git;a=log;h=master

* Fri Dec 16 2022 Jakub Bogusz <qboosh@pld-linux.org> 4b9a509
- updated to 1.49.3

* Sat Jun 25 2022 Jakub Bogusz <qboosh@pld-linux.org> 32b68fb
- updated to 1.49.2

* Sat Nov 27 2021 Jakub Bogusz <qboosh@pld-linux.org> dbca7fb
- updated to 1.48.5

* Fri Apr 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 15d89d0
- updated to 1.48.3; disabled zh_CN info for this release

* Fri Mar 05 2021 Jakub Bogusz <qboosh@pld-linux.org> 2ce2ae4
- rediff, release 2

* Thu Mar 04 2021 Jakub Bogusz <qboosh@pld-linux.org> ba3b261
- updated to 1.48.2

* Sat Jul 04 2020 Jakub Bogusz <qboosh@pld-linux.org> d9a9dd9
- updated to 1.47.16

* Mon May 11 2020 Jakub Bogusz <qboosh@pld-linux.org> d50b6e3
- updated to 1.47.15

* Sun Mar 29 2020 Jakub Bogusz <qboosh@pld-linux.org> e220219
- macros for perl dependency generator always enabled

* Thu Mar 19 2020 Jakub Bogusz <qboosh@pld-linux.org> d01e841
- updated to 1.47.13

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 3fa6f81
- drop obsolete and outdated manual inclusion of rpm macros

* Tue Jan 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 1769dff
- updated to 1.47.12

* Mon Aug 26 2019 Jakub Bogusz <qboosh@pld-linux.org> 790bd28
- updated to 1.47.11

* Sat Mar 23 2019 Jakub Bogusz <qboosh@pld-linux.org> 7e9fc59
- updated to 1.47.10

* Mon Oct 15 2018 Jakub Bogusz <qboosh@pld-linux.org> 9fe62ab
- updated to 1.47.8

* Tue Sep 25 2018 Jakub Bogusz <qboosh@pld-linux.org> 28c4bb3
- updated to 1.47.7

* Mon May 21 2018 Jakub Bogusz <qboosh@pld-linux.org> d78ff86
- updated to 1.47.6

* Sat Nov 18 2017 Jakub Bogusz <qboosh@pld-linux.org> bbe80ad
- updated to 1.47.5

* Tue May 10 2016 Jakub Bogusz <qboosh@pld-linux.org> bdf642e
- updated to 1.47.4

* Fri Nov 20 2015 Jakub Bogusz <qboosh@pld-linux.org> f5d219b
- updated to 1.47.3

